С Новым годом! Форум программистов, компьютерный форум, киберфорум
Наши страницы

Программирование Android

Войти
Регистрация
Восстановить пароль
 
Samsams
2 / 2 / 0
Регистрация: 31.01.2015
Сообщений: 26
#1

Android Studio не дает работать с API 8 без установленного API 21 - Программирование Android

31.01.2015, 16:02. Просмотров 934. Ответов 6
Метки нет (Все метки)

Удалил все не интересующие меня библиотеки и поставил только API Level 8. Но при создании приложения вылезает куча ошибок таких как:
Что то искал искал тут как картинку прилепить так и не нашел иконку))
Скриншоты:

Android Studio не дает работать с API 8 без установленного API 21

Android Studio не дает работать с API 8 без установленного API 21

Что ж делать?
0
Лучшие ответы (1)
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
31.01.2015, 16:02
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Android Studio не дает работать с API 8 без установленного API 21 (Программирование Android):

Не хочет работать программа, что делать? Android Studio + VK API - Программирование Android
Сделал программу в Android Studio, использовал VK api. Вроде бы, авторизация должна работать. Я скомпилировал apk и установил на телефон,...

API 2ГИС на Android Studio - Программирование Android
Нужно удалять маркер по нажатию на него.Вот что имею <!DOCTYPE html> <html> <head> <title>API карт 2ГИС</title> ...

Задача по API VK в Android Studio - Программирование Android
Здравствуйте все, я пытаюсь решить такую задачу, может кто подскажет: нужно получить текст вики-страницы Вконтакте средствами java...

Android SDK Manager не отображает платформы 2.3.3 (API 10), 2.3.1 (API 9). Как быть? - Программирование Android
Добрый день! Использую Android Studio под Windows 7. Из-за несовместимости с операционной системой Android SDK Manager не отображает...

Как найти информацию об api webkit'a из android studio? - Программирование Android
Как найти информацию об api webkit'a из android studio? Как называется этот браузер?

C++ и Android API - Программирование Android
Можно ли как-то юзать Android API на C++? т.е. я хочу сделать приложение на Qt под Android, но, мне нужно использовать API, а насколько я...

6
Rube
911 / 559 / 88
Регистрация: 13.02.2014
Сообщений: 2,071
31.01.2015, 18:09 #2
Цитата Сообщение от Samsams Посмотреть сообщение
Удалил все не интересующие меня библиотеки
Рисковый вы парень!) А зачем удалил?
0
Samsams
2 / 2 / 0
Регистрация: 31.01.2015
Сообщений: 26
31.01.2015, 18:14  [ТС] #3
Удалил из за мало знания андроид только месяц изучаю. В общем начну сначала. Мне надо написать приложение, в котором будет минимальная рабочая версия, уже решил не 8 api, а 10, но нечего не изменилась ошибка та же.
И вот такая для меня загадка. Если я назад поставлю 21 версию. И при создании приложения укажу 10 как минимальную. Позже при написании приложения, если вдруг заюзаю функцию которая совместима с 21 версией, но не совместима с 10, то Android Studio меня как-нибудь уведомит об этом? Или нет.

Так вот незная ответ на этот вопрос, я решил не замарачиваться и снести 21 версию. и юзать функции с 10. Как правило весли скопипастю чужой код который работает в 21, но не работает в 10, то раз этой библиотеки нету то, андроид должен сразу указать что не получиться у меня ее заюзать. Вот.))
0
Rube
911 / 559 / 88
Регистрация: 13.02.2014
Сообщений: 2,071
31.01.2015, 18:52 #4
Лучший ответ Сообщение было отмечено автором темы, экспертом или модератором как ответ
Ну если
Цитата Сообщение от Samsams Посмотреть сообщение
заюзаю функцию которая совместима с 21 версией, но не совместима с 10
то выдаст deprecated.
Но это не значит, что надо ненужное вам удалять. Переустановите лучше заново.
1
Samsams
2 / 2 / 0
Регистрация: 31.01.2015
Сообщений: 26
31.01.2015, 21:33  [ТС] #5
Покажи пожалуйста какую-нибудь функцию которой нет в 10, хочу собственными глазами увидеть как эта deprecated выглядит.
0
Rube
911 / 559 / 88
Регистрация: 13.02.2014
Сообщений: 2,071
31.01.2015, 22:10 #6
Java
1
2
3
4
5
6
    int sdk = android.os.Build.VERSION.SDK_INT;
    if(sdk < android.os.Build.VERSION_CODES.JELLY_BEAN) {
        setBackgroundDrawable(); // deprecated method for older devices
    } else {
        setBackground();  // updated method for newer devices
    }
0
Spelcrawler
527 / 497 / 111
Регистрация: 12.03.2014
Сообщений: 1,663
Завершенные тесты: 1
01.02.2015, 14:13 #7
Цитата Сообщение от Rube Посмотреть сообщение
то выдаст deprecated.
Это значит устарела, т.е. наоборот работает в 10, но подчеркивается (и все равно работает) в 21.
0
01.02.2015, 14:13
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
01.02.2015, 14:13
Привет! Вот еще темы с ответами:

Places API for Android - Программирование Android
Товарищи:) Есть ли у вас пример работы с Places API for Android с autocompletetextview ? (пример с более современной реализацией) ...

Android + Vkontakte API problem - Программирование Android
Доброе время суток! Пишу приложение под Андроид, которое должно взаимодействовать с ВКонтакте API... Мне нужно получить список друзей и...

YouTube Android Player API - Программирование Android
Как внедрить возможность проигрывания видеороликов с YouTube в приложении? (Java, Android Studio)

Shape не отображется на Android API 8 - Программирование Android
Здравствуйте! Никак не получается заставить отображать изображение построенное из shape (xml) на Android API 8. xml: &lt;?xml...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
7
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.